cocoon-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Kai Mütz <kmu...@web.de>
Subject RE: fo2pdf Serialzer problem
Date Thu, 26 Oct 2006 13:36:09 GMT
See https://issues.apache.org/jira/browse/COCOON-1924

You need the FOPNGSerializer delivered with current SVN Trunk (2.2-dev). It uses the new FOP
API. You need at least fop-0.92 in order to work with this Serializer.

Regards, Kai

> -----Original Message-----
> From: users-return-89201-kmuetz=web.de@cocoon.apache.org
> [mailto:users-return-89201-kmuetz=web.de@cocoon.apache.org]On Behalf Of
> Andrea König
> Sent: Thursday, October 26, 2006 3:22 PM
> To: users@cocoon.apache.org
> Subject: Re: fo2pdf Serialzer problem
> 
> 
> Hi All,
> many thanks for your help.
> I have installed cocoon-2.1.9 a second time. You are right, the 
> fop sample works. I found out what the difference between the 
> newly installed cocoon and my version is. It is the fop version. 
> Cocoon comes with fop-0.20.5, but I use at least fop version 
> fop-0.91. I copied the fop library of version fop-0.91 into the 
> lib directory of the newly installed cocoon and the fop sample 
> doesn't work.
> 
> Does anybody know somthing about cocoon-2.1.9 and fop-0.91?
> 
> Best regards
> 
> -- 
> Dr. Andrea König
> (Entwicklung)
> 
> G.punkt - medical services
> Halberstädter Str. 115A
> Eiskellerpassage
> 39112 Magdeburg
> 
> Tel: +49 391 280380
> Fax: +49 391 2803822
> Inet: www.gmatic.de
> mail: andrea.koenig@gmatic.de
> 
> 
> 
> Bertrand Delacretaz wrote:
> 
> > On 10/26/06, Andrea König <andrea.koenig@gmatic.de> wrote:
> >
> >> ...I have downloaded and installed the cocoon-2.1.9 release. I am 
> >> using jdk1.4.
> >> If I run the fop example it doesn't work. I get an error message..
> >
> >
> > To be sure, I just tried this scenario (same as suggested before) on
> > my macosx 10.4.8, JDK 1.4.2_09, and it works:
> >
> > -Get the Cocoon 2.1.9 release
> >  (cocoon-2.1.9-src.tar.gz, md5sum f69fb596d50f7942a22c81d9c6061b29 )
> >
> > -Unpack in an empty directory
> > -Run build.sh (or build.bat) using a (Sun) JDK 1.4 or 1.5
> > -Run cocoon.sh (or cocoon.bat)
> > -Open http://localhost:8888/samples/blocks/fop/hello.pdf
> >
> > Something must be wrong with your environment, or there is a weird
> > incompatibility with said environment.
> >
> > What platform are you on? What does "java -version" say?
> > Can you try on another platform to compare the results?
> >
> > -Bertrand
> 
> 
> 
> 
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: users-unsubscribe@cocoon.apache.org
> For additional commands, e-mail: users-help@cocoon.apache.org
> 


---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@cocoon.apache.org
For additional commands, e-mail: users-help@cocoon.apache.org


Mime
View raw message